%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-Font-Awesome

Name:           python-%{pypi_name}
Version:        4.7.0.0
Release:        3%{?dist}
Summary:        Font-Awesome (XStatic packaging standard)

# font awesome is licensed under SIL 1.1.
# https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses_4
# short name: OFL
# Code is distributed under MIT
License:        OFL and MIT
URL:            https://fortawesome.github.io/Font-Awesome/
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  web-assets-devel
BuildRequires:  fontawesome-fonts-web
BuildRequires:  fontawesome-fonts

Requires:       web-assets-filesystem
Requires:       fontawesome-fonts-web >= 4.1.0
Requires:       fontawesome-fonts

%description
Font Awesome icons packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python2-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-XStatic

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Font Awesome icons packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Font Awesome icons packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

# use fontawesome-fonts directly
rm -f %{buildroot}/%{python2_sitelib}/xstatic/pkg/font_awesome/data/fonts/*
ln -s %{_datadir}/fonts/fontawesome/*  %{buildroot}/%{python2_sitelib}/xstatic/pkg/font_awesome/data/fonts/

# use fontawesome-fonts-web for css, scss,
for dir in css less scss ; do
rm -rf %{buildroot}/%{python2_sitelib}/xstatic/pkg/font_awesome/data/$dir
ln -s %{_datadir}/font-awesome-web/$dir %{buildroot}/%{python2_sitelib}/xstatic/pkg/font_awesome/data/$dir
done

%if 0%{?with_python3}

%py3_install

# use fontawesome-fonts directly
rm -f %{buildroot}/%{python3_sitelib}/xstatic/pkg/font_awesome/data/fonts/*
ln -s %{_datadir}/fonts/fontawesome/*  %{buildroot}/%{python3_sitelib}/xstatic/pkg/font_awesome/data/fonts/

# use fontawesome-fonts-web for css, scss,
for dir in css less scss ; do
rm -rf %{buildroot}/%{python3_sitelib}/xstatic/pkg/font_awesome/data/$dir
ln -s %{_datadir}/font-awesome-web/$dir %{buildroot}/%{python3_sitelib}/xstatic/pkg/font_awesome/data/$dir
done

%endif

%files -n python2-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic/pkg/font_awesome
%{python2_sitelib}/XStatic_Font_Awesome-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_Font_Awesome-%{version}-py%{python2_version}-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic/pkg/font_awesome
%{python3_sitelib}/XStatic_Font_Awesome-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_Font_Awesome-%{version}-py%{python3_version}-nspkg.pth
%endif

%changelog
* Thu Feb  9 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 4.7.0.0-3
- Reintroduce BuildRequires to fontawesome

* Mon Feb  6 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 4.7.0.0-1
- Upstream 4.7.0.0

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.3.0.0-5
- Rebuild for Python 3.6

* Thu Oct 13 2016 Jan Beran <jberan@redhat.com> - 4.3.0.0-4
- Provides a Python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 17 2015 Matthias Runge <mrunge@redhat.com> - 4.3.0-1
- update to 4.3.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 08 2015 Matthias Runge <mrunge@redhat.com> - 4.1.0.0-4
- add br fontawesome-fonts-web to catch .woff (rhbz#1218627)

* Fri Dec 05 2014 Matthias Runge <mrunge@redhat.com> - 4.1.0.0-3
- version bumped due to adding .woff and .svg to fontawesome-fonts

* Wed Oct 01 2014 Matthias Runge <mrunge@redhat.com> - 4.1.0.0-2
- require at least version 4.1.0 of fontawesome-fonts-web

* Wed Sep 10 2014 Matthias Runge <mrunge@redhat.com> - 4.1.0.0-1
- Initial package. (rhbz#1140377)

